package s05.comparable;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class TestSort {
	public static void main(String[] args) {
		List<Integer> listeEntiers = new ArrayList<Integer>();
		for (int i=1; i<=8; i++) {
			listeEntiers.add(Integer.valueOf( (int)(Math.random()*101)));
		}
		System.out.println(listeEntiers);
		Collections.sort(listeEntiers);
		System.out.println(listeEntiers);
		
		List<String> listeString = new ArrayList<String>();
		for (int i=1; i<=8; i++) {
			listeString.add( ""+(char)(65+(int)(Math.random()*26))+(char)(65+(int)(Math.random()*26))+(char)(65+(int)(Math.random()*26)));
		}
		System.out.println(listeString);
		Collections.sort(listeString);
		System.out.println(listeString);
		
		
		List<Heure> listeHeures = new ArrayList<Heure>();
		for (int i=1; i<=8; i++) {
			listeHeures.add( new Heure( (int)(Math.random()*24), (int)(Math.random()*60)));
		}
		System.out.println(listeHeures);
		Collections.sort(listeHeures);
		System.out.println(listeHeures);

		
		Collections.shuffle(listeHeures);
		System.out.println(listeHeures);

		System.out.println("min = "+Collections.min(listeHeures));
		System.out.println("max = "+Collections.max(listeHeures));

		Collections.sort(listeHeures);
		Collections.reverse(listeHeures);
		System.out.println(listeHeures);
	}

}
