package s05.demineur;
 
public interface ITerrainMine {
	/**
	 * @return Retourne la largeur du terrain
	 */
	public int getNbColonnes() ;
	
	/**
	 * @return retourne la hauteur du terrain
	 */
	public int getNbLignes() ;
	
	/**
	 * @param col
	 * @param lig
	 * @return retourne la case a l'intersection de la colonne d'index col
	 * et de la ligne d'index lig si les coordonnees (col,lig) sont dans
	 * le terrain (retourne null sinon).
	 */
	public ICase get(int col, int lig) ;
	
	/**
	 * @return Retourne true si la partie est perdue (une case contenant une
	 * mine a ete devoilee (retourne false sinon)
	 */
	public boolean perdu() ;
	
	/**
	 * @return Retourne true si la partie est gagnee (toutes les cases non minees
	 * sont devoilees). Sinon, retourne false.
	 */
	public boolean gagne() ;
}
