package s05.demineur;
public class CaseVide extends CaseAbstraite {
	public CaseVide(ITerrainMine terrain, int colonne, int ligne) {
		super(terrain, colonne, ligne);
	}
	public int getValeur() {
		return ICase.VIDE;
	}
	public boolean estMinee() {
		return false;
	}
	public void clic() {
		this.devoiler();
		ICase[] voisines={ this.getTerrain().get(this.getColonne(), this.getLigne()-1),
				this.getTerrain().get(this.getColonne()+1, this.getLigne()-1),
				this.getTerrain().get(this.getColonne()+1, this.getLigne()),
				this.getTerrain().get(this.getColonne()+1, this.getLigne()+1),
				this.getTerrain().get(this.getColonne(), this.getLigne()+1),
				this.getTerrain().get(this.getColonne()-1, this.getLigne()+1),
				this.getTerrain().get(this.getColonne()-1, this.getLigne()),
				this.getTerrain().get(this.getColonne()-1, this.getLigne()-1)};
		for (int i=0; i<voisines.length; i++) {
			if (voisines[i]!=null) {
				voisines[i].propager();
			}
		}
	}
	public void propager() {
		if (this.estCachee()) {
			this.clic();
		}
	}
}
